Pular para o conteúdo principal
GET
/
v1
/
reports
/
contexts
/
{contextId}
/
unmatched
List unmatched transactions report
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/unmatched \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "transactionId": "<string>",
      "sourceId": "<string>",
      "amount": "<string>",
      "currency": "<string>",
      "status": "<string>",
      "exceptionId": "<string>",
      "dueAt": "2023-11-07T05:31:56Z",
      "date": "2023-12-25"
    }
  ],
  "pagination": {
    "next": "eyJpZCI6IjEyMyIsImRpcmVjdGlvbiI6Im5leHQifQ==",
    "prev": "eyJpZCI6IjEyMiIsImRpcmVjdGlvbiI6InByZXYifQ=="
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication (format: "Bearer {token}")

Cabeçalhos

X-Request-Id
string

A unique identifier for tracing the request across services.

Parâmetros de caminho

contextId
string<uuid>
obrigatório

The unique identifier of the reconciliation context.

Parâmetros de consulta

date_from
string<date>
obrigatório

Start date (YYYY-MM-DD)

date_to
string<date>
obrigatório

End date (YYYY-MM-DD)

source_id
string

Source ID filter

cursor
string

The cursor value for retrieving the next page of results.

limit
integer
padrão:20

The maximum number of items to include in the response.

Intervalo obrigatório: 1 <= x <= 200
sort_order
enum<string>
padrão:desc

Sort order by date

Opções disponíveis:
asc,
desc

Resposta

Paginated list of unmatched transactions

Cursor-paginated list of unmatched transactions

items
object[]

List of unmatched transaction items

pagination
object

Metadados de paginação por cursor para endpoints de relatório. Ambos os campos são tokens opacos (JSON codificado em base64); trate como strings e devolva sem modificar no parâmetro cursor para navegar. String vazia indica que não há mais páginas naquela direção.